> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Memory Store の一覧を取得する

> ページネーションで Memory Store の一覧を取得します。

`GET /api/v1/cloud/memory_stores`

Memory Store を新しい順に一覧表示します。

## ヘッダー

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

## クエリパラメータ

| パラメータ              | 型       | 必須  | 説明                                         |
| ------------------ | ------- | --- | ------------------------------------------ |
| `limit`            | integer | いいえ | 1〜100、デフォルトは 20                            |
| `page`             | string  | いいえ | 前回の `next_page` 値から得られる不透明なカーソル            |
| `name`             | string  | いいえ | ストア名に対する大文字小文字を区別しない前方一致フィルタ               |
| `include_archived` | boolean | いいえ | `true` の場合、アーカイブ済みのストアを含めます。デフォルトは `false` |
| `created_at[gte]`  | string  | いいえ | RFC 3339 タイムスタンプ、下限（値を含む)                  |
| `created_at[lte]`  | string  | いいえ | RFC 3339 タイムスタンプ、上限（値を含む)                  |

## リクエスト例

```bash theme={null}
curl "https://api.qoder.com/api/v1/cloud/memory_stores?limit=10" \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス

```json theme={null}
{
  "data": [
    {
      "id": "memstore_019e5cdb9c3f71c3b6505eba937a40b4",
      "created_at": "2026-05-18T08:00:00.000Z",
      "name": "project-alpha-memory",
      "type": "memory_store",
      "updated_at": "2026-05-18T08:00:00.000Z",
      "archived_at": null,
      "description": "Agent knowledge base for project Alpha",
      "metadata": {"team": "backend"},
      "status": "active",
      "entry_count": 3,
      "total_size": 1024
    }
  ],
  "has_more": true,
  "first_id": "memstore_019e5cdb9c3f71c3b6505eba937a40b4",
  "last_id": "memstore_019e5cdb9c3f71c3b6505eba937a40b4",
  "next_page": "page_bWVtc3RvcmVfMDE5ZTVjZGI..."
}
```

これ以上結果がない場合、`has_more` は `false`、`next_page` は `null` になります。
